%global debug_package %{nil}

Name:          jibx
Version:       1.2.5
Release:       %mkrel 2
Group:         Development/Java
Summary:       Framework for binding XML data to Java objects
License:       BSD and ASL 1.1
URL:           http://sourceforge.net/projects/jibx/
Source0:       http://sourceforge.net/projects/jibx/files/jibx/jibx-1.2.5/%{name}_1_2_5.zip
Patch0:        %{name}-classpath.patch
Patch1:        %{name}-%{version}-poms.patch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: junit
BuildRequires: objectweb-asm
BuildRequires: bcel
BuildRequires: bea-stax-api
BuildRequires: eclipse-equinox-osgi
BuildRequires: eclipse-jdt
BuildRequires: eclipse-platform
BuildRequires: joda-time
BuildRequires: qdox
BuildRequires: dom4j
BuildRequires: jdom
BuildRequires: xpp3

Requires:      java
Requires:      jpackage-utils

%description
JiBX is a framework for binding XML data to Java objects. It lets you
work with data from XML documents using your own class structures. 

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}
#Patch to add the bundled jar dependencies in the classpath
%patch0 -p1
#Patch to add maven poms
%patch1 -p0

find -name '*.class' -delete
find -name '*.jar' -delete

rm -rf %{_builddir}/%{name}/build/docs/src/*


#Symlink the eclipse dependencies
# platform
plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.contenttype_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.contenttype.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.jobs_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.jobs.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.runtime_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.runtime.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.resources_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.resources.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.equinox.common_*.jar`
ln -s "$plugin_file" lib/org.eclipse.equinox.common.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.equinox.preferences_*.jar`
ln -s "$plugin_file" lib/org.eclipse.equinox.preferences.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.text_*.jar`
ln -s "$plugin_file" lib/org.eclipse.text.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.jdt.core_*jar`
ln -s "$plugin_file" lib/org.eclipse.jdt.core.jar

# equinox-osgi
#plugin_file=`ls %%{_libdir}/eclipse/plugins/org.eclipse.osgi_*.jar`
#ln -s "$plugin_file" lib/org.eclipse.osgi.jar
ln -s $(build-classpath eclipse/osgi) lib/org.eclipse.osgi.jar

# jdt
plugin_file=`ls %{_libdir}/eclipse/dropins/jdt/plugins/org.eclipse.jdt.core.manipulation_*.jar`
ln -s "$plugin_file" lib/org.eclipse.jdt.core.manipulation.jar


build-jar-repository -p lib \
bcel \
bea-stax-api \
dom4j \
jdom \
joda-time \
log4j \
qdox \
xpp3 

ln -s $(build-classpath objectweb-asm/asm) lib/
ln -s $(build-classpath objectweb-asm/asm-commons) lib/

sed -i '/Class-Path/I d' %{_builddir}/%{name}/build/build.xml


%build
pushd build/
sed -i -e s:stax-api.jar:bea-stax-api.jar:g build.xml

export CLASSPATH=$(build-classpath junit)
ant current -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 #test-multiples test-singles test-extras basic-blackbox blackbox devdoc javadoc

%install
install -d -m 755 %{buildroot}/%{_javadir}/%{name}
install -d -m 755 %{buildroot}%{_mavenpomdir}

install -pm 644 build/maven/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-main-reactor.pom
%add_maven_depmap JPP.%{name}-main-reactor.pom

for sub_component in bind extras run schema tools; do
install -m 644 lib/%{name}-${sub_component}.jar \
%{buildroot}/%{_javadir}/%{name}/${sub_component}.jar
install -pm 644 build/maven/jibx-${sub_component}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-${sub_component}.pom
%add_maven_depmap JPP.%{name}-${sub_component}.pom %{name}/${sub_component}.jar
done

mkdir -p %{buildroot}/%{_javadocdir}/%{name}
cp -rp %{_builddir}/%{name}/build/docs/* \
%{buildroot}/%{_javadocdir}/%{name}/


%files
%{_javadir}/%{name}/*.jar
%dir %{_javadir}/%{name}
%{_mavenpomdir}/JPP.%{name}-*.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.2.5-2.mga4
+ Revision: 545454
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1.2.5-1.mga4
+ Revision: 501267
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.2.4-2.mga3
+ Revision: 355447
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 1.2.4-1.mga3
+ Revision: 291911
- New version

* Tue Oct 18 2011 gil <gil> 1.2.3-2.mga2
+ Revision: 156172
- added m2 poms
  added links unversioned libraries
  used eclipse-equinox-osgi support

* Sun May 08 2011 ahmad <ahmad> 1.2.3-1.mga1
+ Revision: 95952
- imported package jibx


* Thu Apr 21 2011 Johannes Lips <johannes.lips@googlemail.com> - 1.2.3-1
- Update to 1.2.3

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 09 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-7
- added a version requirement for java-devel
- disabled the tests
* Wed Sep 09 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-6
- added a patch to meet all the dependencies

* Sun Sep 05 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-5
- removed the classpath
- changed the license
- removed most required packages

* Thu Sep 02 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-4
- changed the structure
- 
* Thu Sep 02 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-3
- symlinked all eclipse plugins
- removed all bundled dependencies
- added the build-jar-repository in the %%prep section
- added the tests

* Fri Aug 27 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-2
- consistent usage of %%{buildroot}
- added missing javadoc file attributes

* Fri Aug 27 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-1
- initial build
